Subject: Re: carnivorous plant/live sphagnum sources??
From: <[email-masked]>
Date: Mon, 11 Jul 1994 08:03:18 EDT
Newsgroups: bionet.plants

I think that sphagnum may be a poor choice for growing pitcher plants in
Sphagum generates acid to lower the local soil pH below what the
pitcher plants prefer. I have visited the area where venus flytraps
and pitcher plants grow naturally in North Carolina, and I do not
remember sphagnum being present in the area surrounding the pitcher
plants. If you need a moss, I suggest you simply look in a nearby stream
or creek to see what is available.

                                   Everett Weber
                                   Dept. of Biology
                                   Old Dominion University
                                   Norfolk, Va.